/preview/retail-media/chatbot-catalogs/{catalogid}/product-recommendations
curl --request POST \
--url https://api.criteo.com/preview/retail-media/chatbot-catalogs/{catalogid}/product-recommendations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"messages": [
{
"botMessage": {
"closing": "<string>",
"opening": "<string>",
"productRecos": [
{
"rationale": "<string>",
"brand": "<string>",
"currency": "<string>",
"description": "<string>",
"imageUrl": "<string>",
"name": "<string>",
"price": 123,
"url": "<string>"
}
]
},
"userMessage": "<string>"
}
]
},
"type": "InbotDiscussion"
}
}
'import requests
url = "https://api.criteo.com/preview/retail-media/chatbot-catalogs/{catalogid}/product-recommendations"
payload = { "data": {
"attributes": { "messages": [
{
"botMessage": {
"closing": "<string>",
"opening": "<string>",
"productRecos": [
{
"rationale": "<string>",
"brand": "<string>",
"currency": "<string>",
"description": "<string>",
"imageUrl": "<string>",
"name": "<string>",
"price": 123,
"url": "<string>"
}
]
},
"userMessage": "<string>"
}
] },
"type": "InbotDiscussion"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
messages: [
{
botMessage: {
closing: '<string>',
opening: '<string>',
productRecos: [
{
rationale: '<string>',
brand: '<string>',
currency: '<string>',
description: '<string>',
imageUrl: '<string>',
name: '<string>',
price: 123,
url: '<string>'
}
]
},
userMessage: '<string>'
}
]
},
type: 'InbotDiscussion'
}
})
};
fetch('https://api.criteo.com/preview/retail-media/chatbot-catalogs/{catalogid}/product-recommendations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"botMessage": {
"closing": "<string>",
"opening": "<string>",
"productRecos": [
{
"rationale": "<string>",
"brand": "<string>",
"currency": "<string>",
"description": "<string>",
"imageUrl": "<string>",
"name": "<string>",
"price": 123,
"url": "<string>"
}
]
},
"userMessage": "<string>"
},
"type": "Message"
},
"errors": [
{
"code": "<string>",
"instance": "<string>",
"traceId": "<string>",
"type": "<string>"
}
]
}/preview/retail-media/chatbot-catalogs/{catalogid}/product-recommendations
Ask a chatbot for a product recommendation
POST
/
preview
/
retail-media
/
chatbot-catalogs
/
{catalogid}
/
product-recommendations
/preview/retail-media/chatbot-catalogs/{catalogid}/product-recommendations
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
the identifier of the catalog to query
Body
application/json
an API recommendation message
an API recommendation request
Show child attributes
Show child attributes
Was this page helpful?
/preview/retail-media/retailers/{retailer-id}/products/set-buy-box-winners
Previous
/preview/retail-media/insights/{insightId}/output
Next
⌘I